Debian Bug report logs - #645398
liburcu: please add armhf support

version graph

Package: liburcu; Maintainer for liburcu is Jon Bernard <jbernard@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Sat, 15 Oct 2011 10:33:02 UTC

Severity: important

Tags: patch

Found in version 0.6.5-1

Fixed in version liburcu/0.6.7-2

Done: Jon Bernard <jbernard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#645398; Package liburcu. (Sat, 15 Oct 2011 10:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Jon Bernard <jbernard@debian.org>. (Sat, 15 Oct 2011 10:33:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: liburcu: please add armhf support
Date: Sat, 15 Oct 2011 13:29:27 +0300
[Message part 1 (text/plain, inline)]
Package: liburcu
Version: 0.6.5-1
Severity: important
Tags: patch

With the attached patch, liburcu builds on armhf -and there are
already multi-core ARM cpus which armhf runs on, making the package
useful for the arch.
I already tested ust and it builds and it seems to work.

Please consider adding the patch.

Regards

Konstantinos
[liburcu_armhf.diff (text/x-diff, attachment)]

Reply sent to Jon Bernard <jbernard@debian.org>:
You have taken responsibility. (Wed, 11 Jan 2012 15:09:15 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 15:09:16 GMT) Full text and rfc822 format available.

Message #10 received at 645398-close@bugs.debian.org (full text, mbox):

From: Jon Bernard <jbernard@debian.org>
To: 645398-close@bugs.debian.org
Subject: Bug#645398: fixed in liburcu 0.6.7-2
Date: Wed, 11 Jan 2012 15:07:01 +0000
Source: liburcu
Source-Version: 0.6.7-2

We believe that the bug you reported is fixed in the latest version of
liburcu, which is due to be installed in the Debian FTP archive:

liburcu-dev_0.6.7-2_amd64.deb
  to main/libu/liburcu/liburcu-dev_0.6.7-2_amd64.deb
liburcu1_0.6.7-2_amd64.deb
  to main/libu/liburcu/liburcu1_0.6.7-2_amd64.deb
liburcu_0.6.7-2.debian.tar.gz
  to main/libu/liburcu/liburcu_0.6.7-2.debian.tar.gz
liburcu_0.6.7-2.dsc
  to main/libu/liburcu/liburcu_0.6.7-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645398@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jon Bernard <jbernard@debian.org> (supplier of updated liburcu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Jan 2012 09:30:18 -0500
Source: liburcu
Binary: liburcu-dev liburcu1
Architecture: source amd64
Version: 0.6.7-2
Distribution: unstable
Urgency: low
Maintainer: Jon Bernard <jbernard@debian.org>
Changed-By: Jon Bernard <jbernard@debian.org>
Description: 
 liburcu-dev - userspace RCU (read-copy-update) library - development files
 liburcu1   - userspace RCU (read-copy-update) library
Closes: 645398
Changes: 
 liburcu (0.6.7-2) unstable; urgency=low
 .
   * [5e454ad] Add support for armhf.
     Thanks to Konstantinos Margaritis (Closes: #645398)
Checksums-Sha1: 
 2084288d565c6dc1c53a892c9bfcc981593d9e43 1322 liburcu_0.6.7-2.dsc
 e87faff8a05a8afb0bf28b4ce86872d17edea402 4794 liburcu_0.6.7-2.debian.tar.gz
 0f13f6e531214247d3ef15a5e86efb03904fa245 71092 liburcu-dev_0.6.7-2_amd64.deb
 d2617db9923f52a368f08b782d5117c543edd80d 42530 liburcu1_0.6.7-2_amd64.deb
Checksums-Sha256: 
 e6eb5caf05d8682d9354b36316ddc2b4e65769f62d95a232bf2e00a94dd35e27 1322 liburcu_0.6.7-2.dsc
 87c04467cea5471ff4eb9fde1b3fac1bc988d1be9229142e2fc39481c143c706 4794 liburcu_0.6.7-2.debian.tar.gz
 013e82f5f71dcf196e4b0cb3c6230ec0d959b63d8e663b32539f7b024173786c 71092 liburcu-dev_0.6.7-2_amd64.deb
 947698e0955adf6367fdb446051cc96a347176338f2066c5072522ff0f514f71 42530 liburcu1_0.6.7-2_amd64.deb
Files: 
 97a131812d66f5133323b6977edeb8c4 1322 libs extra liburcu_0.6.7-2.dsc
 883ba16bbbd5af385405ee1aaeea2c71 4794 libs extra liburcu_0.6.7-2.debian.tar.gz
 5f56bbc825daa455e510ee4daad71156 71092 libdevel extra liburcu-dev_0.6.7-2_amd64.deb
 d2d55cafb0232706113fd7deec5d685a 42530 libs extra liburcu1_0.6.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk8NnZUACgkQwAT2A1kSwn5RPACfVQMwAL3TNHW+znpFiaZ0S1/E
F9wAoIsXWtHtN5NMf+d1hJUr3SK+qAvS
=jOhZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Feb 2012 07:43:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:22:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.